package com.hfkj.dao;

import com.hfkj.entity.CyymallOrder;
import com.hfkj.entity.CyymallOrderExample;
import com.hfkj.entity.CyymallOrderWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface CyymallOrderMapper extends CyymallOrderMapperExt {
    @SelectProvider(type=CyymallOrderSqlProvider.class, method="countByExample")
    long countByExample(CyymallOrderExample example);

    @DeleteProvider(type=CyymallOrderSqlProvider.class, method="deleteByExample")
    int deleteByExample(CyymallOrderExample example);

    @Delete({
        "delete from cyymall_order",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int deleteByPrimaryKey(Integer id);

    @Insert({
        "insert into cyymall_order (store_id, user_id, ",
        "order_no, total_price, ",
        "pay_price, express_price, ",
        "`name`, mobile, address, ",
        "remark, is_pay, ",
        "pay_type, pay_time, ",
        "is_send, send_time, ",
        "express, express_no, ",
        "is_confirm, confirm_time, ",
        "is_comment, apply_delete, ",
        "addtime, is_delete, ",
        "is_price, parent_id, ",
        "first_price, second_price, ",
        "third_price, coupon_sub_price, ",
        "is_offline, clerk_id, ",
        "is_cancel, before_update_price, ",
        "shop_id, discount, ",
        "user_coupon_id, give_integral, ",
        "parent_id_1, parent_id_2, ",
        "is_sale, version, ",
        "express_price_1, is_recycle, ",
        "rebate, before_update_express, ",
        "mch_id, order_union_id, ",
        "is_transfer, `type`, ",
        "share_price, is_show, ",
        "currency, order_origin, ",
        "delivery_id, delivery_status, ",
        "fy_status, fyjine, fysingle, ",
        "mch_fyjine, mch_fysingle, ",
        "is_fan, is_dada, shop_peisong, ",
        "is_open_offline, supplier_id, ",
        "is_sup_transfer, dabao_price, ",
        "settlement_amount, is_settlement, ",
        "settlement_time, is_mch_shop, ",
        "is_divide_money, transaction_id, ",
        "pay_user_id, pay_type_true, ",
        "is_vgoods, reduction_price, ",
        "minus_price, order_from, ",
        "discount_price, discount_num, ",
        "give_goods_id, coupon_record_id, ",
        "id_card_no, refund_time, ",
        "content, address_data, ",
        "offline_qrcode, integral, ",
        "words, seller_comments)",
        "values (#{storeId,jdbcType=INTEGER}, #{userId,jdbcType=INTEGER}, ",
        "#{orderNo,jdbcType=VARCHAR}, #{totalPrice,jdbcType=DECIMAL}, ",
        "#{payPrice,jdbcType=DECIMAL}, #{expressPrice,jdbcType=DECIMAL}, ",
        "#{name,jdbcType=VARCHAR}, #{mobile,jdbcType=VARCHAR}, #{address,jdbcType=VARCHAR}, ",
        "#{remark,jdbcType=VARCHAR}, #{isPay,jdbcType=SMALLINT}, ",
        "#{payType,jdbcType=SMALLINT}, #{payTime,jdbcType=INTEGER}, ",
        "#{isSend,jdbcType=SMALLINT}, #{sendTime,jdbcType=INTEGER}, ",
        "#{express,jdbcType=VARCHAR}, #{expressNo,jdbcType=VARCHAR}, ",
        "#{isConfirm,jdbcType=SMALLINT}, #{confirmTime,jdbcType=INTEGER}, ",
        "#{isComment,jdbcType=SMALLINT}, #{applyDelete,jdbcType=SMALLINT}, ",
        "#{addtime,jdbcType=INTEGER}, #{isDelete,jdbcType=SMALLINT}, ",
        "#{isPrice,jdbcType=SMALLINT}, #{parentId,jdbcType=INTEGER}, ",
        "#{firstPrice,jdbcType=DECIMAL}, #{secondPrice,jdbcType=DECIMAL}, ",
        "#{thirdPrice,jdbcType=DECIMAL}, #{couponSubPrice,jdbcType=DECIMAL}, ",
        "#{isOffline,jdbcType=INTEGER}, #{clerkId,jdbcType=INTEGER}, ",
        "#{isCancel,jdbcType=SMALLINT}, #{beforeUpdatePrice,jdbcType=DECIMAL}, ",
        "#{shopId,jdbcType=INTEGER}, #{discount,jdbcType=DECIMAL}, ",
        "#{userCouponId,jdbcType=INTEGER}, #{giveIntegral,jdbcType=SMALLINT}, ",
        "#{parentId1,jdbcType=INTEGER}, #{parentId2,jdbcType=INTEGER}, ",
        "#{isSale,jdbcType=INTEGER}, #{version,jdbcType=VARCHAR}, ",
        "#{expressPrice1,jdbcType=DECIMAL}, #{isRecycle,jdbcType=SMALLINT}, ",
        "#{rebate,jdbcType=DECIMAL}, #{beforeUpdateExpress,jdbcType=DECIMAL}, ",
        "#{mchId,jdbcType=INTEGER}, #{orderUnionId,jdbcType=INTEGER}, ",
        "#{isTransfer,jdbcType=SMALLINT}, #{type,jdbcType=INTEGER}, ",
        "#{sharePrice,jdbcType=DECIMAL}, #{isShow,jdbcType=SMALLINT}, ",
        "#{currency,jdbcType=DECIMAL}, #{orderOrigin,jdbcType=BIT}, ",
        "#{deliveryId,jdbcType=INTEGER}, #{deliveryStatus,jdbcType=BIT}, ",
        "#{fyStatus,jdbcType=BIT}, #{fyjine,jdbcType=DECIMAL}, #{fysingle,jdbcType=DECIMAL}, ",
        "#{mchFyjine,jdbcType=DECIMAL}, #{mchFysingle,jdbcType=DECIMAL}, ",
        "#{isFan,jdbcType=BIT}, #{isDada,jdbcType=BIT}, #{shopPeisong,jdbcType=INTEGER}, ",
        "#{isOpenOffline,jdbcType=BIT}, #{supplierId,jdbcType=INTEGER}, ",
        "#{isSupTransfer,jdbcType=BIT}, #{dabaoPrice,jdbcType=DECIMAL}, ",
        "#{settlementAmount,jdbcType=DECIMAL}, #{isSettlement,jdbcType=SMALLINT}, ",
        "#{settlementTime,jdbcType=INTEGER}, #{isMchShop,jdbcType=BIT}, ",
        "#{isDivideMoney,jdbcType=BIT}, #{transactionId,jdbcType=VARCHAR}, ",
        "#{payUserId,jdbcType=INTEGER}, #{payTypeTrue,jdbcType=BIT}, ",
        "#{isVgoods,jdbcType=INTEGER}, #{reductionPrice,jdbcType=DECIMAL}, ",
        "#{minusPrice,jdbcType=DECIMAL}, #{orderFrom,jdbcType=INTEGER}, ",
        "#{discountPrice,jdbcType=DECIMAL}, #{discountNum,jdbcType=DECIMAL}, ",
        "#{giveGoodsId,jdbcType=INTEGER}, #{couponRecordId,jdbcType=VARCHAR}, ",
        "#{idCardNo,jdbcType=VARCHAR}, #{refundTime,jdbcType=INTEGER}, ",
        "#{content,jdbcType=LONGVARCHAR}, #{addressData,jdbcType=LONGVARCHAR}, ",
        "#{offlineQrcode,jdbcType=LONGVARCHAR}, #{integral,jdbcType=LONGVARCHAR}, ",
        "#{words,jdbcType=LONGVARCHAR}, #{sellerComments,jdbcType=LONGVARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(CyymallOrderWithBLOBs record);

    @InsertProvider(type=CyymallOrderSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(CyymallOrderWithBLOBs record);

    @SelectProvider(type=CyymallOrderSqlProvider.class, method="selectByExampleWithBLOBs")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="store_id", property="storeId", jdbcType=JdbcType.INTEGER),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="total_price", property="totalPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_price", property="payPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="express_price", property="expressPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="mobile", property="mobile", jdbcType=JdbcType.VARCHAR),
        @Result(column="address", property="address", jdbcType=JdbcType.VARCHAR),
        @Result(column="remark", property="remark", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_pay", property="isPay", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_type", property="payType", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_send", property="isSend", jdbcType=JdbcType.SMALLINT),
        @Result(column="send_time", property="sendTime", jdbcType=JdbcType.INTEGER),
        @Result(column="express", property="express", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_no", property="expressNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_confirm", property="isConfirm", jdbcType=JdbcType.SMALLINT),
        @Result(column="confirm_time", property="confirmTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_comment", property="isComment", jdbcType=JdbcType.SMALLINT),
        @Result(column="apply_delete", property="applyDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="addtime", property="addtime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_delete", property="isDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="is_price", property="isPrice", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id", property="parentId", jdbcType=JdbcType.INTEGER),
        @Result(column="first_price", property="firstPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="second_price", property="secondPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="third_price", property="thirdPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="coupon_sub_price", property="couponSubPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_offline", property="isOffline", jdbcType=JdbcType.INTEGER),
        @Result(column="clerk_id", property="clerkId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_cancel", property="isCancel", jdbcType=JdbcType.SMALLINT),
        @Result(column="before_update_price", property="beforeUpdatePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="shop_id", property="shopId", jdbcType=JdbcType.INTEGER),
        @Result(column="discount", property="discount", jdbcType=JdbcType.DECIMAL),
        @Result(column="user_coupon_id", property="userCouponId", jdbcType=JdbcType.INTEGER),
        @Result(column="give_integral", property="giveIntegral", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id_1", property="parentId1", jdbcType=JdbcType.INTEGER),
        @Result(column="parent_id_2", property="parentId2", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sale", property="isSale", jdbcType=JdbcType.INTEGER),
        @Result(column="version", property="version", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_price_1", property="expressPrice1", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_recycle", property="isRecycle", jdbcType=JdbcType.SMALLINT),
        @Result(column="rebate", property="rebate", jdbcType=JdbcType.DECIMAL),
        @Result(column="before_update_express", property="beforeUpdateExpress", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_id", property="mchId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_union_id", property="orderUnionId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_transfer", property="isTransfer", jdbcType=JdbcType.SMALLINT),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="share_price", property="sharePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_show", property="isShow", jdbcType=JdbcType.SMALLINT),
        @Result(column="currency", property="currency", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_origin", property="orderOrigin", jdbcType=JdbcType.BIT),
        @Result(column="delivery_id", property="deliveryId", jdbcType=JdbcType.INTEGER),
        @Result(column="delivery_status", property="deliveryStatus", jdbcType=JdbcType.BIT),
        @Result(column="fy_status", property="fyStatus", jdbcType=JdbcType.BIT),
        @Result(column="fyjine", property="fyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="fysingle", property="fysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fyjine", property="mchFyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fysingle", property="mchFysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_fan", property="isFan", jdbcType=JdbcType.BIT),
        @Result(column="is_dada", property="isDada", jdbcType=JdbcType.BIT),
        @Result(column="shop_peisong", property="shopPeisong", jdbcType=JdbcType.INTEGER),
        @Result(column="is_open_offline", property="isOpenOffline", jdbcType=JdbcType.BIT),
        @Result(column="supplier_id", property="supplierId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sup_transfer", property="isSupTransfer", jdbcType=JdbcType.BIT),
        @Result(column="dabao_price", property="dabaoPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="settlement_amount", property="settlementAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_settlement", property="isSettlement", jdbcType=JdbcType.SMALLINT),
        @Result(column="settlement_time", property="settlementTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_mch_shop", property="isMchShop", jdbcType=JdbcType.BIT),
        @Result(column="is_divide_money", property="isDivideMoney", jdbcType=JdbcType.BIT),
        @Result(column="transaction_id", property="transactionId", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_user_id", property="payUserId", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_type_true", property="payTypeTrue", jdbcType=JdbcType.BIT),
        @Result(column="is_vgoods", property="isVgoods", jdbcType=JdbcType.INTEGER),
        @Result(column="reduction_price", property="reductionPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="minus_price", property="minusPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_from", property="orderFrom", jdbcType=JdbcType.INTEGER),
        @Result(column="discount_price", property="discountPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="discount_num", property="discountNum", jdbcType=JdbcType.DECIMAL),
        @Result(column="give_goods_id", property="giveGoodsId", jdbcType=JdbcType.INTEGER),
        @Result(column="coupon_record_id", property="couponRecordId", jdbcType=JdbcType.VARCHAR),
        @Result(column="id_card_no", property="idCardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_time", property="refundTime", jdbcType=JdbcType.INTEGER),
        @Result(column="content", property="content", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="address_data", property="addressData", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="offline_qrcode", property="offlineQrcode", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="integral", property="integral", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="words", property="words", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="seller_comments", property="sellerComments", jdbcType=JdbcType.LONGVARCHAR)
    })
    List<CyymallOrderWithBLOBs> selectByExampleWithBLOBs(CyymallOrderExample example);

    @SelectProvider(type=CyymallOrderSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="store_id", property="storeId", jdbcType=JdbcType.INTEGER),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="total_price", property="totalPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_price", property="payPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="express_price", property="expressPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="mobile", property="mobile", jdbcType=JdbcType.VARCHAR),
        @Result(column="address", property="address", jdbcType=JdbcType.VARCHAR),
        @Result(column="remark", property="remark", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_pay", property="isPay", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_type", property="payType", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_send", property="isSend", jdbcType=JdbcType.SMALLINT),
        @Result(column="send_time", property="sendTime", jdbcType=JdbcType.INTEGER),
        @Result(column="express", property="express", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_no", property="expressNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_confirm", property="isConfirm", jdbcType=JdbcType.SMALLINT),
        @Result(column="confirm_time", property="confirmTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_comment", property="isComment", jdbcType=JdbcType.SMALLINT),
        @Result(column="apply_delete", property="applyDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="addtime", property="addtime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_delete", property="isDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="is_price", property="isPrice", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id", property="parentId", jdbcType=JdbcType.INTEGER),
        @Result(column="first_price", property="firstPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="second_price", property="secondPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="third_price", property="thirdPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="coupon_sub_price", property="couponSubPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_offline", property="isOffline", jdbcType=JdbcType.INTEGER),
        @Result(column="clerk_id", property="clerkId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_cancel", property="isCancel", jdbcType=JdbcType.SMALLINT),
        @Result(column="before_update_price", property="beforeUpdatePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="shop_id", property="shopId", jdbcType=JdbcType.INTEGER),
        @Result(column="discount", property="discount", jdbcType=JdbcType.DECIMAL),
        @Result(column="user_coupon_id", property="userCouponId", jdbcType=JdbcType.INTEGER),
        @Result(column="give_integral", property="giveIntegral", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id_1", property="parentId1", jdbcType=JdbcType.INTEGER),
        @Result(column="parent_id_2", property="parentId2", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sale", property="isSale", jdbcType=JdbcType.INTEGER),
        @Result(column="version", property="version", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_price_1", property="expressPrice1", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_recycle", property="isRecycle", jdbcType=JdbcType.SMALLINT),
        @Result(column="rebate", property="rebate", jdbcType=JdbcType.DECIMAL),
        @Result(column="before_update_express", property="beforeUpdateExpress", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_id", property="mchId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_union_id", property="orderUnionId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_transfer", property="isTransfer", jdbcType=JdbcType.SMALLINT),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="share_price", property="sharePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_show", property="isShow", jdbcType=JdbcType.SMALLINT),
        @Result(column="currency", property="currency", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_origin", property="orderOrigin", jdbcType=JdbcType.BIT),
        @Result(column="delivery_id", property="deliveryId", jdbcType=JdbcType.INTEGER),
        @Result(column="delivery_status", property="deliveryStatus", jdbcType=JdbcType.BIT),
        @Result(column="fy_status", property="fyStatus", jdbcType=JdbcType.BIT),
        @Result(column="fyjine", property="fyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="fysingle", property="fysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fyjine", property="mchFyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fysingle", property="mchFysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_fan", property="isFan", jdbcType=JdbcType.BIT),
        @Result(column="is_dada", property="isDada", jdbcType=JdbcType.BIT),
        @Result(column="shop_peisong", property="shopPeisong", jdbcType=JdbcType.INTEGER),
        @Result(column="is_open_offline", property="isOpenOffline", jdbcType=JdbcType.BIT),
        @Result(column="supplier_id", property="supplierId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sup_transfer", property="isSupTransfer", jdbcType=JdbcType.BIT),
        @Result(column="dabao_price", property="dabaoPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="settlement_amount", property="settlementAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_settlement", property="isSettlement", jdbcType=JdbcType.SMALLINT),
        @Result(column="settlement_time", property="settlementTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_mch_shop", property="isMchShop", jdbcType=JdbcType.BIT),
        @Result(column="is_divide_money", property="isDivideMoney", jdbcType=JdbcType.BIT),
        @Result(column="transaction_id", property="transactionId", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_user_id", property="payUserId", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_type_true", property="payTypeTrue", jdbcType=JdbcType.BIT),
        @Result(column="is_vgoods", property="isVgoods", jdbcType=JdbcType.INTEGER),
        @Result(column="reduction_price", property="reductionPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="minus_price", property="minusPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_from", property="orderFrom", jdbcType=JdbcType.INTEGER),
        @Result(column="discount_price", property="discountPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="discount_num", property="discountNum", jdbcType=JdbcType.DECIMAL),
        @Result(column="give_goods_id", property="giveGoodsId", jdbcType=JdbcType.INTEGER),
        @Result(column="coupon_record_id", property="couponRecordId", jdbcType=JdbcType.VARCHAR),
        @Result(column="id_card_no", property="idCardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_time", property="refundTime", jdbcType=JdbcType.INTEGER)
    })
    List<CyymallOrder> selectByExample(CyymallOrderExample example);

    @Select({
        "select",
        "id, store_id, user_id, order_no, total_price, pay_price, express_price, `name`, ",
        "mobile, address, remark, is_pay, pay_type, pay_time, is_send, send_time, express, ",
        "express_no, is_confirm, confirm_time, is_comment, apply_delete, addtime, is_delete, ",
        "is_price, parent_id, first_price, second_price, third_price, coupon_sub_price, ",
        "is_offline, clerk_id, is_cancel, before_update_price, shop_id, discount, user_coupon_id, ",
        "give_integral, parent_id_1, parent_id_2, is_sale, version, express_price_1, ",
        "is_recycle, rebate, before_update_express, mch_id, order_union_id, is_transfer, ",
        "`type`, share_price, is_show, currency, order_origin, delivery_id, delivery_status, ",
        "fy_status, fyjine, fysingle, mch_fyjine, mch_fysingle, is_fan, is_dada, shop_peisong, ",
        "is_open_offline, supplier_id, is_sup_transfer, dabao_price, settlement_amount, ",
        "is_settlement, settlement_time, is_mch_shop, is_divide_money, transaction_id, ",
        "pay_user_id, pay_type_true, is_vgoods, reduction_price, minus_price, order_from, ",
        "discount_price, discount_num, give_goods_id, coupon_record_id, id_card_no, refund_time, ",
        "content, address_data, offline_qrcode, integral, words, seller_comments",
        "from cyymall_order",
        "where id = #{id,jdbcType=INTEGER}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="store_id", property="storeId", jdbcType=JdbcType.INTEGER),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="total_price", property="totalPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_price", property="payPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="express_price", property="expressPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="mobile", property="mobile", jdbcType=JdbcType.VARCHAR),
        @Result(column="address", property="address", jdbcType=JdbcType.VARCHAR),
        @Result(column="remark", property="remark", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_pay", property="isPay", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_type", property="payType", jdbcType=JdbcType.SMALLINT),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_send", property="isSend", jdbcType=JdbcType.SMALLINT),
        @Result(column="send_time", property="sendTime", jdbcType=JdbcType.INTEGER),
        @Result(column="express", property="express", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_no", property="expressNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="is_confirm", property="isConfirm", jdbcType=JdbcType.SMALLINT),
        @Result(column="confirm_time", property="confirmTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_comment", property="isComment", jdbcType=JdbcType.SMALLINT),
        @Result(column="apply_delete", property="applyDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="addtime", property="addtime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_delete", property="isDelete", jdbcType=JdbcType.SMALLINT),
        @Result(column="is_price", property="isPrice", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id", property="parentId", jdbcType=JdbcType.INTEGER),
        @Result(column="first_price", property="firstPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="second_price", property="secondPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="third_price", property="thirdPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="coupon_sub_price", property="couponSubPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_offline", property="isOffline", jdbcType=JdbcType.INTEGER),
        @Result(column="clerk_id", property="clerkId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_cancel", property="isCancel", jdbcType=JdbcType.SMALLINT),
        @Result(column="before_update_price", property="beforeUpdatePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="shop_id", property="shopId", jdbcType=JdbcType.INTEGER),
        @Result(column="discount", property="discount", jdbcType=JdbcType.DECIMAL),
        @Result(column="user_coupon_id", property="userCouponId", jdbcType=JdbcType.INTEGER),
        @Result(column="give_integral", property="giveIntegral", jdbcType=JdbcType.SMALLINT),
        @Result(column="parent_id_1", property="parentId1", jdbcType=JdbcType.INTEGER),
        @Result(column="parent_id_2", property="parentId2", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sale", property="isSale", jdbcType=JdbcType.INTEGER),
        @Result(column="version", property="version", jdbcType=JdbcType.VARCHAR),
        @Result(column="express_price_1", property="expressPrice1", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_recycle", property="isRecycle", jdbcType=JdbcType.SMALLINT),
        @Result(column="rebate", property="rebate", jdbcType=JdbcType.DECIMAL),
        @Result(column="before_update_express", property="beforeUpdateExpress", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_id", property="mchId", jdbcType=JdbcType.INTEGER),
        @Result(column="order_union_id", property="orderUnionId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_transfer", property="isTransfer", jdbcType=JdbcType.SMALLINT),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="share_price", property="sharePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_show", property="isShow", jdbcType=JdbcType.SMALLINT),
        @Result(column="currency", property="currency", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_origin", property="orderOrigin", jdbcType=JdbcType.BIT),
        @Result(column="delivery_id", property="deliveryId", jdbcType=JdbcType.INTEGER),
        @Result(column="delivery_status", property="deliveryStatus", jdbcType=JdbcType.BIT),
        @Result(column="fy_status", property="fyStatus", jdbcType=JdbcType.BIT),
        @Result(column="fyjine", property="fyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="fysingle", property="fysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fyjine", property="mchFyjine", jdbcType=JdbcType.DECIMAL),
        @Result(column="mch_fysingle", property="mchFysingle", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_fan", property="isFan", jdbcType=JdbcType.BIT),
        @Result(column="is_dada", property="isDada", jdbcType=JdbcType.BIT),
        @Result(column="shop_peisong", property="shopPeisong", jdbcType=JdbcType.INTEGER),
        @Result(column="is_open_offline", property="isOpenOffline", jdbcType=JdbcType.BIT),
        @Result(column="supplier_id", property="supplierId", jdbcType=JdbcType.INTEGER),
        @Result(column="is_sup_transfer", property="isSupTransfer", jdbcType=JdbcType.BIT),
        @Result(column="dabao_price", property="dabaoPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="settlement_amount", property="settlementAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="is_settlement", property="isSettlement", jdbcType=JdbcType.SMALLINT),
        @Result(column="settlement_time", property="settlementTime", jdbcType=JdbcType.INTEGER),
        @Result(column="is_mch_shop", property="isMchShop", jdbcType=JdbcType.BIT),
        @Result(column="is_divide_money", property="isDivideMoney", jdbcType=JdbcType.BIT),
        @Result(column="transaction_id", property="transactionId", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_user_id", property="payUserId", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_type_true", property="payTypeTrue", jdbcType=JdbcType.BIT),
        @Result(column="is_vgoods", property="isVgoods", jdbcType=JdbcType.INTEGER),
        @Result(column="reduction_price", property="reductionPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="minus_price", property="minusPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="order_from", property="orderFrom", jdbcType=JdbcType.INTEGER),
        @Result(column="discount_price", property="discountPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="discount_num", property="discountNum", jdbcType=JdbcType.DECIMAL),
        @Result(column="give_goods_id", property="giveGoodsId", jdbcType=JdbcType.INTEGER),
        @Result(column="coupon_record_id", property="couponRecordId", jdbcType=JdbcType.VARCHAR),
        @Result(column="id_card_no", property="idCardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="refund_time", property="refundTime", jdbcType=JdbcType.INTEGER),
        @Result(column="content", property="content", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="address_data", property="addressData", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="offline_qrcode", property="offlineQrcode", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="integral", property="integral", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="words", property="words", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="seller_comments", property="sellerComments", jdbcType=JdbcType.LONGVARCHAR)
    })
    CyymallOrderWithBLOBs selectByPrimaryKey(Integer id);

    @UpdateProvider(type=CyymallOrderSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") CyymallOrderWithBLOBs record, @Param("example") CyymallOrderExample example);

    @UpdateProvider(type=CyymallOrderSqlProvider.class, method="updateByExampleWithBLOBs")
    int updateByExampleWithBLOBs(@Param("record") CyymallOrderWithBLOBs record, @Param("example") CyymallOrderExample example);

    @UpdateProvider(type=CyymallOrderSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") CyymallOrder record, @Param("example") CyymallOrderExample example);

    @UpdateProvider(type=CyymallOrderSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(CyymallOrderWithBLOBs record);

    @Update({
        "update cyymall_order",
        "set store_id = #{storeId,jdbcType=INTEGER},",
          "user_id = #{userId,jdbcType=INTEGER},",
          "order_no = #{orderNo,jdbcType=VARCHAR},",
          "total_price = #{totalPrice,jdbcType=DECIMAL},",
          "pay_price = #{payPrice,jdbcType=DECIMAL},",
          "express_price = #{expressPrice,jdbcType=DECIMAL},",
          "`name` = #{name,jdbcType=VARCHAR},",
          "mobile = #{mobile,jdbcType=VARCHAR},",
          "address = #{address,jdbcType=VARCHAR},",
          "remark = #{remark,jdbcType=VARCHAR},",
          "is_pay = #{isPay,jdbcType=SMALLINT},",
          "pay_type = #{payType,jdbcType=SMALLINT},",
          "pay_time = #{payTime,jdbcType=INTEGER},",
          "is_send = #{isSend,jdbcType=SMALLINT},",
          "send_time = #{sendTime,jdbcType=INTEGER},",
          "express = #{express,jdbcType=VARCHAR},",
          "express_no = #{expressNo,jdbcType=VARCHAR},",
          "is_confirm = #{isConfirm,jdbcType=SMALLINT},",
          "confirm_time = #{confirmTime,jdbcType=INTEGER},",
          "is_comment = #{isComment,jdbcType=SMALLINT},",
          "apply_delete = #{applyDelete,jdbcType=SMALLINT},",
          "addtime = #{addtime,jdbcType=INTEGER},",
          "is_delete = #{isDelete,jdbcType=SMALLINT},",
          "is_price = #{isPrice,jdbcType=SMALLINT},",
          "parent_id = #{parentId,jdbcType=INTEGER},",
          "first_price = #{firstPrice,jdbcType=DECIMAL},",
          "second_price = #{secondPrice,jdbcType=DECIMAL},",
          "third_price = #{thirdPrice,jdbcType=DECIMAL},",
          "coupon_sub_price = #{couponSubPrice,jdbcType=DECIMAL},",
          "is_offline = #{isOffline,jdbcType=INTEGER},",
          "clerk_id = #{clerkId,jdbcType=INTEGER},",
          "is_cancel = #{isCancel,jdbcType=SMALLINT},",
          "before_update_price = #{beforeUpdatePrice,jdbcType=DECIMAL},",
          "shop_id = #{shopId,jdbcType=INTEGER},",
          "discount = #{discount,jdbcType=DECIMAL},",
          "user_coupon_id = #{userCouponId,jdbcType=INTEGER},",
          "give_integral = #{giveIntegral,jdbcType=SMALLINT},",
          "parent_id_1 = #{parentId1,jdbcType=INTEGER},",
          "parent_id_2 = #{parentId2,jdbcType=INTEGER},",
          "is_sale = #{isSale,jdbcType=INTEGER},",
          "version = #{version,jdbcType=VARCHAR},",
          "express_price_1 = #{expressPrice1,jdbcType=DECIMAL},",
          "is_recycle = #{isRecycle,jdbcType=SMALLINT},",
          "rebate = #{rebate,jdbcType=DECIMAL},",
          "before_update_express = #{beforeUpdateExpress,jdbcType=DECIMAL},",
          "mch_id = #{mchId,jdbcType=INTEGER},",
          "order_union_id = #{orderUnionId,jdbcType=INTEGER},",
          "is_transfer = #{isTransfer,jdbcType=SMALLINT},",
          "`type` = #{type,jdbcType=INTEGER},",
          "share_price = #{sharePrice,jdbcType=DECIMAL},",
          "is_show = #{isShow,jdbcType=SMALLINT},",
          "currency = #{currency,jdbcType=DECIMAL},",
          "order_origin = #{orderOrigin,jdbcType=BIT},",
          "delivery_id = #{deliveryId,jdbcType=INTEGER},",
          "delivery_status = #{deliveryStatus,jdbcType=BIT},",
          "fy_status = #{fyStatus,jdbcType=BIT},",
          "fyjine = #{fyjine,jdbcType=DECIMAL},",
          "fysingle = #{fysingle,jdbcType=DECIMAL},",
          "mch_fyjine = #{mchFyjine,jdbcType=DECIMAL},",
          "mch_fysingle = #{mchFysingle,jdbcType=DECIMAL},",
          "is_fan = #{isFan,jdbcType=BIT},",
          "is_dada = #{isDada,jdbcType=BIT},",
          "shop_peisong = #{shopPeisong,jdbcType=INTEGER},",
          "is_open_offline = #{isOpenOffline,jdbcType=BIT},",
          "supplier_id = #{supplierId,jdbcType=INTEGER},",
          "is_sup_transfer = #{isSupTransfer,jdbcType=BIT},",
          "dabao_price = #{dabaoPrice,jdbcType=DECIMAL},",
          "settlement_amount = #{settlementAmount,jdbcType=DECIMAL},",
          "is_settlement = #{isSettlement,jdbcType=SMALLINT},",
          "settlement_time = #{settlementTime,jdbcType=INTEGER},",
          "is_mch_shop = #{isMchShop,jdbcType=BIT},",
          "is_divide_money = #{isDivideMoney,jdbcType=BIT},",
          "transaction_id = #{transactionId,jdbcType=VARCHAR},",
          "pay_user_id = #{payUserId,jdbcType=INTEGER},",
          "pay_type_true = #{payTypeTrue,jdbcType=BIT},",
          "is_vgoods = #{isVgoods,jdbcType=INTEGER},",
          "reduction_price = #{reductionPrice,jdbcType=DECIMAL},",
          "minus_price = #{minusPrice,jdbcType=DECIMAL},",
          "order_from = #{orderFrom,jdbcType=INTEGER},",
          "discount_price = #{discountPrice,jdbcType=DECIMAL},",
          "discount_num = #{discountNum,jdbcType=DECIMAL},",
          "give_goods_id = #{giveGoodsId,jdbcType=INTEGER},",
          "coupon_record_id = #{couponRecordId,jdbcType=VARCHAR},",
          "id_card_no = #{idCardNo,jdbcType=VARCHAR},",
          "refund_time = #{refundTime,jdbcType=INTEGER},",
          "content = #{content,jdbcType=LONGVARCHAR},",
          "address_data = #{addressData,jdbcType=LONGVARCHAR},",
          "offline_qrcode = #{offlineQrcode,jdbcType=LONGVARCHAR},",
          "integral = #{integral,jdbcType=LONGVARCHAR},",
          "words = #{words,jdbcType=LONGVARCHAR},",
          "seller_comments = #{sellerComments,jdbcType=LONGVARCHAR}",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int updateByPrimaryKeyWithBLOBs(CyymallOrderWithBLOBs record);

    @Update({
        "update cyymall_order",
        "set store_id = #{storeId,jdbcType=INTEGER},",
          "user_id = #{userId,jdbcType=INTEGER},",
          "order_no = #{orderNo,jdbcType=VARCHAR},",
          "total_price = #{totalPrice,jdbcType=DECIMAL},",
          "pay_price = #{payPrice,jdbcType=DECIMAL},",
          "express_price = #{expressPrice,jdbcType=DECIMAL},",
          "`name` = #{name,jdbcType=VARCHAR},",
          "mobile = #{mobile,jdbcType=VARCHAR},",
          "address = #{address,jdbcType=VARCHAR},",
          "remark = #{remark,jdbcType=VARCHAR},",
          "is_pay = #{isPay,jdbcType=SMALLINT},",
          "pay_type = #{payType,jdbcType=SMALLINT},",
          "pay_time = #{payTime,jdbcType=INTEGER},",
          "is_send = #{isSend,jdbcType=SMALLINT},",
          "send_time = #{sendTime,jdbcType=INTEGER},",
          "express = #{express,jdbcType=VARCHAR},",
          "express_no = #{expressNo,jdbcType=VARCHAR},",
          "is_confirm = #{isConfirm,jdbcType=SMALLINT},",
          "confirm_time = #{confirmTime,jdbcType=INTEGER},",
          "is_comment = #{isComment,jdbcType=SMALLINT},",
          "apply_delete = #{applyDelete,jdbcType=SMALLINT},",
          "addtime = #{addtime,jdbcType=INTEGER},",
          "is_delete = #{isDelete,jdbcType=SMALLINT},",
          "is_price = #{isPrice,jdbcType=SMALLINT},",
          "parent_id = #{parentId,jdbcType=INTEGER},",
          "first_price = #{firstPrice,jdbcType=DECIMAL},",
          "second_price = #{secondPrice,jdbcType=DECIMAL},",
          "third_price = #{thirdPrice,jdbcType=DECIMAL},",
          "coupon_sub_price = #{couponSubPrice,jdbcType=DECIMAL},",
          "is_offline = #{isOffline,jdbcType=INTEGER},",
          "clerk_id = #{clerkId,jdbcType=INTEGER},",
          "is_cancel = #{isCancel,jdbcType=SMALLINT},",
          "before_update_price = #{beforeUpdatePrice,jdbcType=DECIMAL},",
          "shop_id = #{shopId,jdbcType=INTEGER},",
          "discount = #{discount,jdbcType=DECIMAL},",
          "user_coupon_id = #{userCouponId,jdbcType=INTEGER},",
          "give_integral = #{giveIntegral,jdbcType=SMALLINT},",
          "parent_id_1 = #{parentId1,jdbcType=INTEGER},",
          "parent_id_2 = #{parentId2,jdbcType=INTEGER},",
          "is_sale = #{isSale,jdbcType=INTEGER},",
          "version = #{version,jdbcType=VARCHAR},",
          "express_price_1 = #{expressPrice1,jdbcType=DECIMAL},",
          "is_recycle = #{isRecycle,jdbcType=SMALLINT},",
          "rebate = #{rebate,jdbcType=DECIMAL},",
          "before_update_express = #{beforeUpdateExpress,jdbcType=DECIMAL},",
          "mch_id = #{mchId,jdbcType=INTEGER},",
          "order_union_id = #{orderUnionId,jdbcType=INTEGER},",
          "is_transfer = #{isTransfer,jdbcType=SMALLINT},",
          "`type` = #{type,jdbcType=INTEGER},",
          "share_price = #{sharePrice,jdbcType=DECIMAL},",
          "is_show = #{isShow,jdbcType=SMALLINT},",
          "currency = #{currency,jdbcType=DECIMAL},",
          "order_origin = #{orderOrigin,jdbcType=BIT},",
          "delivery_id = #{deliveryId,jdbcType=INTEGER},",
          "delivery_status = #{deliveryStatus,jdbcType=BIT},",
          "fy_status = #{fyStatus,jdbcType=BIT},",
          "fyjine = #{fyjine,jdbcType=DECIMAL},",
          "fysingle = #{fysingle,jdbcType=DECIMAL},",
          "mch_fyjine = #{mchFyjine,jdbcType=DECIMAL},",
          "mch_fysingle = #{mchFysingle,jdbcType=DECIMAL},",
          "is_fan = #{isFan,jdbcType=BIT},",
          "is_dada = #{isDada,jdbcType=BIT},",
          "shop_peisong = #{shopPeisong,jdbcType=INTEGER},",
          "is_open_offline = #{isOpenOffline,jdbcType=BIT},",
          "supplier_id = #{supplierId,jdbcType=INTEGER},",
          "is_sup_transfer = #{isSupTransfer,jdbcType=BIT},",
          "dabao_price = #{dabaoPrice,jdbcType=DECIMAL},",
          "settlement_amount = #{settlementAmount,jdbcType=DECIMAL},",
          "is_settlement = #{isSettlement,jdbcType=SMALLINT},",
          "settlement_time = #{settlementTime,jdbcType=INTEGER},",
          "is_mch_shop = #{isMchShop,jdbcType=BIT},",
          "is_divide_money = #{isDivideMoney,jdbcType=BIT},",
          "transaction_id = #{transactionId,jdbcType=VARCHAR},",
          "pay_user_id = #{payUserId,jdbcType=INTEGER},",
          "pay_type_true = #{payTypeTrue,jdbcType=BIT},",
          "is_vgoods = #{isVgoods,jdbcType=INTEGER},",
          "reduction_price = #{reductionPrice,jdbcType=DECIMAL},",
          "minus_price = #{minusPrice,jdbcType=DECIMAL},",
          "order_from = #{orderFrom,jdbcType=INTEGER},",
          "discount_price = #{discountPrice,jdbcType=DECIMAL},",
          "discount_num = #{discountNum,jdbcType=DECIMAL},",
          "give_goods_id = #{giveGoodsId,jdbcType=INTEGER},",
          "coupon_record_id = #{couponRecordId,jdbcType=VARCHAR},",
          "id_card_no = #{idCardNo,jdbcType=VARCHAR},",
          "refund_time = #{refundTime,jdbcType=INTEGER}",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int updateByPrimaryKey(CyymallOrder record);
}