package com.hfkj.entity;

import java.io.Serializable;

/**
 * cyymall_order
 * @author 
 */
public class CyymallOrderWithBLOBs extends CyymallOrder implements Serializable {
    private String content;

    /**
     * 收货地址信息，json格式
     */
    private String addressData;

    /**
     * 核销码
     */
    private String offlineQrcode;

    /**
     * 积分使用
     */
    private String integral;

    /**
     * 商家留言
     */
    private String words;

    /**
     * 商家备注
     */
    private String sellerComments;

    private static final long serialVersionUID = 1L;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAddressData() {
        return addressData;
    }

    public void setAddressData(String addressData) {
        this.addressData = addressData;
    }

    public String getOfflineQrcode() {
        return offlineQrcode;
    }

    public void setOfflineQrcode(String offlineQrcode) {
        this.offlineQrcode = offlineQrcode;
    }

    public String getIntegral() {
        return integral;
    }

    public void setIntegral(String integral) {
        this.integral = integral;
    }

    public String getWords() {
        return words;
    }

    public void setWords(String words) {
        this.words = words;
    }

    public String getSellerComments() {
        return sellerComments;
    }

    public void setSellerComments(String sellerComments) {
        this.sellerComments = sellerComments;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CyymallOrderWithBLOBs other = (CyymallOrderWithBLOBs) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getPayPrice() == null ? other.getPayPrice() == null : this.getPayPrice().equals(other.getPayPrice()))
            && (this.getExpressPrice() == null ? other.getExpressPrice() == null : this.getExpressPrice().equals(other.getExpressPrice()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getMobile() == null ? other.getMobile() == null : this.getMobile().equals(other.getMobile()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getIsPay() == null ? other.getIsPay() == null : this.getIsPay().equals(other.getIsPay()))
            && (this.getPayType() == null ? other.getPayType() == null : this.getPayType().equals(other.getPayType()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getIsSend() == null ? other.getIsSend() == null : this.getIsSend().equals(other.getIsSend()))
            && (this.getSendTime() == null ? other.getSendTime() == null : this.getSendTime().equals(other.getSendTime()))
            && (this.getExpress() == null ? other.getExpress() == null : this.getExpress().equals(other.getExpress()))
            && (this.getExpressNo() == null ? other.getExpressNo() == null : this.getExpressNo().equals(other.getExpressNo()))
            && (this.getIsConfirm() == null ? other.getIsConfirm() == null : this.getIsConfirm().equals(other.getIsConfirm()))
            && (this.getConfirmTime() == null ? other.getConfirmTime() == null : this.getConfirmTime().equals(other.getConfirmTime()))
            && (this.getIsComment() == null ? other.getIsComment() == null : this.getIsComment().equals(other.getIsComment()))
            && (this.getApplyDelete() == null ? other.getApplyDelete() == null : this.getApplyDelete().equals(other.getApplyDelete()))
            && (this.getAddtime() == null ? other.getAddtime() == null : this.getAddtime().equals(other.getAddtime()))
            && (this.getIsDelete() == null ? other.getIsDelete() == null : this.getIsDelete().equals(other.getIsDelete()))
            && (this.getIsPrice() == null ? other.getIsPrice() == null : this.getIsPrice().equals(other.getIsPrice()))
            && (this.getParentId() == null ? other.getParentId() == null : this.getParentId().equals(other.getParentId()))
            && (this.getFirstPrice() == null ? other.getFirstPrice() == null : this.getFirstPrice().equals(other.getFirstPrice()))
            && (this.getSecondPrice() == null ? other.getSecondPrice() == null : this.getSecondPrice().equals(other.getSecondPrice()))
            && (this.getThirdPrice() == null ? other.getThirdPrice() == null : this.getThirdPrice().equals(other.getThirdPrice()))
            && (this.getCouponSubPrice() == null ? other.getCouponSubPrice() == null : this.getCouponSubPrice().equals(other.getCouponSubPrice()))
            && (this.getIsOffline() == null ? other.getIsOffline() == null : this.getIsOffline().equals(other.getIsOffline()))
            && (this.getClerkId() == null ? other.getClerkId() == null : this.getClerkId().equals(other.getClerkId()))
            && (this.getIsCancel() == null ? other.getIsCancel() == null : this.getIsCancel().equals(other.getIsCancel()))
            && (this.getBeforeUpdatePrice() == null ? other.getBeforeUpdatePrice() == null : this.getBeforeUpdatePrice().equals(other.getBeforeUpdatePrice()))
            && (this.getShopId() == null ? other.getShopId() == null : this.getShopId().equals(other.getShopId()))
            && (this.getDiscount() == null ? other.getDiscount() == null : this.getDiscount().equals(other.getDiscount()))
            && (this.getUserCouponId() == null ? other.getUserCouponId() == null : this.getUserCouponId().equals(other.getUserCouponId()))
            && (this.getGiveIntegral() == null ? other.getGiveIntegral() == null : this.getGiveIntegral().equals(other.getGiveIntegral()))
            && (this.getParentId1() == null ? other.getParentId1() == null : this.getParentId1().equals(other.getParentId1()))
            && (this.getParentId2() == null ? other.getParentId2() == null : this.getParentId2().equals(other.getParentId2()))
            && (this.getIsSale() == null ? other.getIsSale() == null : this.getIsSale().equals(other.getIsSale()))
            && (this.getVersion() == null ? other.getVersion() == null : this.getVersion().equals(other.getVersion()))
            && (this.getExpressPrice1() == null ? other.getExpressPrice1() == null : this.getExpressPrice1().equals(other.getExpressPrice1()))
            && (this.getIsRecycle() == null ? other.getIsRecycle() == null : this.getIsRecycle().equals(other.getIsRecycle()))
            && (this.getRebate() == null ? other.getRebate() == null : this.getRebate().equals(other.getRebate()))
            && (this.getBeforeUpdateExpress() == null ? other.getBeforeUpdateExpress() == null : this.getBeforeUpdateExpress().equals(other.getBeforeUpdateExpress()))
            && (this.getMchId() == null ? other.getMchId() == null : this.getMchId().equals(other.getMchId()))
            && (this.getOrderUnionId() == null ? other.getOrderUnionId() == null : this.getOrderUnionId().equals(other.getOrderUnionId()))
            && (this.getIsTransfer() == null ? other.getIsTransfer() == null : this.getIsTransfer().equals(other.getIsTransfer()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getSharePrice() == null ? other.getSharePrice() == null : this.getSharePrice().equals(other.getSharePrice()))
            && (this.getIsShow() == null ? other.getIsShow() == null : this.getIsShow().equals(other.getIsShow()))
            && (this.getCurrency() == null ? other.getCurrency() == null : this.getCurrency().equals(other.getCurrency()))
            && (this.getOrderOrigin() == null ? other.getOrderOrigin() == null : this.getOrderOrigin().equals(other.getOrderOrigin()))
            && (this.getDeliveryId() == null ? other.getDeliveryId() == null : this.getDeliveryId().equals(other.getDeliveryId()))
            && (this.getDeliveryStatus() == null ? other.getDeliveryStatus() == null : this.getDeliveryStatus().equals(other.getDeliveryStatus()))
            && (this.getFyStatus() == null ? other.getFyStatus() == null : this.getFyStatus().equals(other.getFyStatus()))
            && (this.getFyjine() == null ? other.getFyjine() == null : this.getFyjine().equals(other.getFyjine()))
            && (this.getFysingle() == null ? other.getFysingle() == null : this.getFysingle().equals(other.getFysingle()))
            && (this.getMchFyjine() == null ? other.getMchFyjine() == null : this.getMchFyjine().equals(other.getMchFyjine()))
            && (this.getMchFysingle() == null ? other.getMchFysingle() == null : this.getMchFysingle().equals(other.getMchFysingle()))
            && (this.getIsFan() == null ? other.getIsFan() == null : this.getIsFan().equals(other.getIsFan()))
            && (this.getIsDada() == null ? other.getIsDada() == null : this.getIsDada().equals(other.getIsDada()))
            && (this.getShopPeisong() == null ? other.getShopPeisong() == null : this.getShopPeisong().equals(other.getShopPeisong()))
            && (this.getIsOpenOffline() == null ? other.getIsOpenOffline() == null : this.getIsOpenOffline().equals(other.getIsOpenOffline()))
            && (this.getSupplierId() == null ? other.getSupplierId() == null : this.getSupplierId().equals(other.getSupplierId()))
            && (this.getIsSupTransfer() == null ? other.getIsSupTransfer() == null : this.getIsSupTransfer().equals(other.getIsSupTransfer()))
            && (this.getDabaoPrice() == null ? other.getDabaoPrice() == null : this.getDabaoPrice().equals(other.getDabaoPrice()))
            && (this.getSettlementAmount() == null ? other.getSettlementAmount() == null : this.getSettlementAmount().equals(other.getSettlementAmount()))
            && (this.getIsSettlement() == null ? other.getIsSettlement() == null : this.getIsSettlement().equals(other.getIsSettlement()))
            && (this.getSettlementTime() == null ? other.getSettlementTime() == null : this.getSettlementTime().equals(other.getSettlementTime()))
            && (this.getIsMchShop() == null ? other.getIsMchShop() == null : this.getIsMchShop().equals(other.getIsMchShop()))
            && (this.getIsDivideMoney() == null ? other.getIsDivideMoney() == null : this.getIsDivideMoney().equals(other.getIsDivideMoney()))
            && (this.getTransactionId() == null ? other.getTransactionId() == null : this.getTransactionId().equals(other.getTransactionId()))
            && (this.getPayUserId() == null ? other.getPayUserId() == null : this.getPayUserId().equals(other.getPayUserId()))
            && (this.getPayTypeTrue() == null ? other.getPayTypeTrue() == null : this.getPayTypeTrue().equals(other.getPayTypeTrue()))
            && (this.getIsVgoods() == null ? other.getIsVgoods() == null : this.getIsVgoods().equals(other.getIsVgoods()))
            && (this.getReductionPrice() == null ? other.getReductionPrice() == null : this.getReductionPrice().equals(other.getReductionPrice()))
            && (this.getMinusPrice() == null ? other.getMinusPrice() == null : this.getMinusPrice().equals(other.getMinusPrice()))
            && (this.getOrderFrom() == null ? other.getOrderFrom() == null : this.getOrderFrom().equals(other.getOrderFrom()))
            && (this.getDiscountPrice() == null ? other.getDiscountPrice() == null : this.getDiscountPrice().equals(other.getDiscountPrice()))
            && (this.getDiscountNum() == null ? other.getDiscountNum() == null : this.getDiscountNum().equals(other.getDiscountNum()))
            && (this.getGiveGoodsId() == null ? other.getGiveGoodsId() == null : this.getGiveGoodsId().equals(other.getGiveGoodsId()))
            && (this.getCouponRecordId() == null ? other.getCouponRecordId() == null : this.getCouponRecordId().equals(other.getCouponRecordId()))
            && (this.getIdCardNo() == null ? other.getIdCardNo() == null : this.getIdCardNo().equals(other.getIdCardNo()))
            && (this.getRefundTime() == null ? other.getRefundTime() == null : this.getRefundTime().equals(other.getRefundTime()))
            && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()))
            && (this.getAddressData() == null ? other.getAddressData() == null : this.getAddressData().equals(other.getAddressData()))
            && (this.getOfflineQrcode() == null ? other.getOfflineQrcode() == null : this.getOfflineQrcode().equals(other.getOfflineQrcode()))
            && (this.getIntegral() == null ? other.getIntegral() == null : this.getIntegral().equals(other.getIntegral()))
            && (this.getWords() == null ? other.getWords() == null : this.getWords().equals(other.getWords()))
            && (this.getSellerComments() == null ? other.getSellerComments() == null : this.getSellerComments().equals(other.getSellerComments()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getPayPrice() == null) ? 0 : getPayPrice().hashCode());
        result = prime * result + ((getExpressPrice() == null) ? 0 : getExpressPrice().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getMobile() == null) ? 0 : getMobile().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getIsPay() == null) ? 0 : getIsPay().hashCode());
        result = prime * result + ((getPayType() == null) ? 0 : getPayType().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getIsSend() == null) ? 0 : getIsSend().hashCode());
        result = prime * result + ((getSendTime() == null) ? 0 : getSendTime().hashCode());
        result = prime * result + ((getExpress() == null) ? 0 : getExpress().hashCode());
        result = prime * result + ((getExpressNo() == null) ? 0 : getExpressNo().hashCode());
        result = prime * result + ((getIsConfirm() == null) ? 0 : getIsConfirm().hashCode());
        result = prime * result + ((getConfirmTime() == null) ? 0 : getConfirmTime().hashCode());
        result = prime * result + ((getIsComment() == null) ? 0 : getIsComment().hashCode());
        result = prime * result + ((getApplyDelete() == null) ? 0 : getApplyDelete().hashCode());
        result = prime * result + ((getAddtime() == null) ? 0 : getAddtime().hashCode());
        result = prime * result + ((getIsDelete() == null) ? 0 : getIsDelete().hashCode());
        result = prime * result + ((getIsPrice() == null) ? 0 : getIsPrice().hashCode());
        result = prime * result + ((getParentId() == null) ? 0 : getParentId().hashCode());
        result = prime * result + ((getFirstPrice() == null) ? 0 : getFirstPrice().hashCode());
        result = prime * result + ((getSecondPrice() == null) ? 0 : getSecondPrice().hashCode());
        result = prime * result + ((getThirdPrice() == null) ? 0 : getThirdPrice().hashCode());
        result = prime * result + ((getCouponSubPrice() == null) ? 0 : getCouponSubPrice().hashCode());
        result = prime * result + ((getIsOffline() == null) ? 0 : getIsOffline().hashCode());
        result = prime * result + ((getClerkId() == null) ? 0 : getClerkId().hashCode());
        result = prime * result + ((getIsCancel() == null) ? 0 : getIsCancel().hashCode());
        result = prime * result + ((getBeforeUpdatePrice() == null) ? 0 : getBeforeUpdatePrice().hashCode());
        result = prime * result + ((getShopId() == null) ? 0 : getShopId().hashCode());
        result = prime * result + ((getDiscount() == null) ? 0 : getDiscount().hashCode());
        result = prime * result + ((getUserCouponId() == null) ? 0 : getUserCouponId().hashCode());
        result = prime * result + ((getGiveIntegral() == null) ? 0 : getGiveIntegral().hashCode());
        result = prime * result + ((getParentId1() == null) ? 0 : getParentId1().hashCode());
        result = prime * result + ((getParentId2() == null) ? 0 : getParentId2().hashCode());
        result = prime * result + ((getIsSale() == null) ? 0 : getIsSale().hashCode());
        result = prime * result + ((getVersion() == null) ? 0 : getVersion().hashCode());
        result = prime * result + ((getExpressPrice1() == null) ? 0 : getExpressPrice1().hashCode());
        result = prime * result + ((getIsRecycle() == null) ? 0 : getIsRecycle().hashCode());
        result = prime * result + ((getRebate() == null) ? 0 : getRebate().hashCode());
        result = prime * result + ((getBeforeUpdateExpress() == null) ? 0 : getBeforeUpdateExpress().hashCode());
        result = prime * result + ((getMchId() == null) ? 0 : getMchId().hashCode());
        result = prime * result + ((getOrderUnionId() == null) ? 0 : getOrderUnionId().hashCode());
        result = prime * result + ((getIsTransfer() == null) ? 0 : getIsTransfer().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getSharePrice() == null) ? 0 : getSharePrice().hashCode());
        result = prime * result + ((getIsShow() == null) ? 0 : getIsShow().hashCode());
        result = prime * result + ((getCurrency() == null) ? 0 : getCurrency().hashCode());
        result = prime * result + ((getOrderOrigin() == null) ? 0 : getOrderOrigin().hashCode());
        result = prime * result + ((getDeliveryId() == null) ? 0 : getDeliveryId().hashCode());
        result = prime * result + ((getDeliveryStatus() == null) ? 0 : getDeliveryStatus().hashCode());
        result = prime * result + ((getFyStatus() == null) ? 0 : getFyStatus().hashCode());
        result = prime * result + ((getFyjine() == null) ? 0 : getFyjine().hashCode());
        result = prime * result + ((getFysingle() == null) ? 0 : getFysingle().hashCode());
        result = prime * result + ((getMchFyjine() == null) ? 0 : getMchFyjine().hashCode());
        result = prime * result + ((getMchFysingle() == null) ? 0 : getMchFysingle().hashCode());
        result = prime * result + ((getIsFan() == null) ? 0 : getIsFan().hashCode());
        result = prime * result + ((getIsDada() == null) ? 0 : getIsDada().hashCode());
        result = prime * result + ((getShopPeisong() == null) ? 0 : getShopPeisong().hashCode());
        result = prime * result + ((getIsOpenOffline() == null) ? 0 : getIsOpenOffline().hashCode());
        result = prime * result + ((getSupplierId() == null) ? 0 : getSupplierId().hashCode());
        result = prime * result + ((getIsSupTransfer() == null) ? 0 : getIsSupTransfer().hashCode());
        result = prime * result + ((getDabaoPrice() == null) ? 0 : getDabaoPrice().hashCode());
        result = prime * result + ((getSettlementAmount() == null) ? 0 : getSettlementAmount().hashCode());
        result = prime * result + ((getIsSettlement() == null) ? 0 : getIsSettlement().hashCode());
        result = prime * result + ((getSettlementTime() == null) ? 0 : getSettlementTime().hashCode());
        result = prime * result + ((getIsMchShop() == null) ? 0 : getIsMchShop().hashCode());
        result = prime * result + ((getIsDivideMoney() == null) ? 0 : getIsDivideMoney().hashCode());
        result = prime * result + ((getTransactionId() == null) ? 0 : getTransactionId().hashCode());
        result = prime * result + ((getPayUserId() == null) ? 0 : getPayUserId().hashCode());
        result = prime * result + ((getPayTypeTrue() == null) ? 0 : getPayTypeTrue().hashCode());
        result = prime * result + ((getIsVgoods() == null) ? 0 : getIsVgoods().hashCode());
        result = prime * result + ((getReductionPrice() == null) ? 0 : getReductionPrice().hashCode());
        result = prime * result + ((getMinusPrice() == null) ? 0 : getMinusPrice().hashCode());
        result = prime * result + ((getOrderFrom() == null) ? 0 : getOrderFrom().hashCode());
        result = prime * result + ((getDiscountPrice() == null) ? 0 : getDiscountPrice().hashCode());
        result = prime * result + ((getDiscountNum() == null) ? 0 : getDiscountNum().hashCode());
        result = prime * result + ((getGiveGoodsId() == null) ? 0 : getGiveGoodsId().hashCode());
        result = prime * result + ((getCouponRecordId() == null) ? 0 : getCouponRecordId().hashCode());
        result = prime * result + ((getIdCardNo() == null) ? 0 : getIdCardNo().hashCode());
        result = prime * result + ((getRefundTime() == null) ? 0 : getRefundTime().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        result = prime * result + ((getAddressData() == null) ? 0 : getAddressData().hashCode());
        result = prime * result + ((getOfflineQrcode() == null) ? 0 : getOfflineQrcode().hashCode());
        result = prime * result + ((getIntegral() == null) ? 0 : getIntegral().hashCode());
        result = prime * result + ((getWords() == null) ? 0 : getWords().hashCode());
        result = prime * result + ((getSellerComments() == null) ? 0 : getSellerComments().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", content=").append(content);
        sb.append(", addressData=").append(addressData);
        sb.append(", offlineQrcode=").append(offlineQrcode);
        sb.append(", integral=").append(integral);
        sb.append(", words=").append(words);
        sb.append(", sellerComments=").append(sellerComments);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}