package com.hfkj.service;

import com.hfkj.entity.SecDictionary;

import java.util.List;

/**
 * @className: SecDictionaryService
 * @author: HuRui
 * @date: 2024/4/23
 **/
public interface SecDictionaryService {

    /**
     * 获取数据字典
     * @return
     */
    List<SecDictionary> getDictionary();

    /**
     * 获取数据字典
     * @param codeType
     * @return
     */
    List<SecDictionary> getDictionary(String codeType);


    /**
     * @MethodName getDictionaryByOl
     * @Description: 查询在线
     * @param codeType
     * @return: java.util.List<com.hfkj.entity.SecDictionary>
     * @Author: Sum1Dream
     * @Date: 2024/8/7 上午10:36
     */
    List<SecDictionary> getDictionaryByOl(String codeType);

    /**
     * 获取数据字典
     * @param codeType
     * @param codeValue
     * @return
     */
    SecDictionary getDictionary(String codeType, String codeValue);



}
